#
# spec file for package python-bidict
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-bidict
Version:        0.9.0.post1
Release:        1.1
Summary:        2-way dict for python
License:        ISC
Group:          Development/Languages/Python
Url:            https://github.com/jab/bidict
Source:         https://pypi.python.org/packages/source/b/bidict/bidict-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Bidirectional dict with convenient slice syntax:
d[65] = 'A' ⇔ d[:'A'] == 65

%prep
%setup -q -n bidict-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/*

%changelog
* Sun Jun 14 2015 arun@gmx.de
- update to version 0.9.0:
  * Add a Changelog! Also a Contributors' Guide, Gitter chat room, and
    other community-oriented improvements
  * Adopt Pytest (thanks Tom Viner and Adopt Pytest Month)
  * Add property-based tests via hypothesis
  * Other code, tests, and docs improvements
* Thu Mar  5 2015 toddrme2178@gmail.com
- Initial version
